## org.hibernate.annotations
Annotation Type OptimisticLock

    @Target(value={METHOD,FIELD})
    @Retention(value=RUNTIME)
    public @interface OptimisticLock

Whether or not a change of the annotated property will trigger a entity version increment. If the annotation is not present, the property is involved in the optimistic lock strategy (default).

Required Element Summary
`boolean` `excluded`

Element Detail

### excluded

    public abstract boolean excluded

  Returns:
    If `true`, the annotated property change will not trigger a version increment.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.